aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--herbstluftwm/WhatsApp Image 2020-10-12 at 10.02.54 AM.jpegbin0 -> 51319 bytes
-rwxr-xr-xherbstluftwm/autostart188
-rw-r--r--herbstluftwm/autostart.def187
3 files changed, 375 insertions, 0 deletions
diff --git a/herbstluftwm/WhatsApp Image 2020-10-12 at 10.02.54 AM.jpeg b/herbstluftwm/WhatsApp Image 2020-10-12 at 10.02.54 AM.jpeg
new file mode 100644
index 00000000..166052fb
--- /dev/null
+++ b/herbstluftwm/WhatsApp Image 2020-10-12 at 10.02.54 AM.jpeg
Binary files differ
diff --git a/herbstluftwm/autostart b/herbstluftwm/autostart
new file mode 100755
index 00000000..ed88735a
--- /dev/null
+++ b/herbstluftwm/autostart
@@ -0,0 +1,188 @@
+#!/usr/bin/env bash
+
+# this is a simple config for herbstluftwm
+
+hc() {
+ herbstclient "$@"
+}
+
+hc emit_hook reload
+
+# xsetroot -solid '#ffffff'
+
+# remove all existing keybindings
+hc keyunbind --all
+
+hc set focus_follows_mouse 1
+
+# keybindings
+# if you have a super key you will be much happier with Mod set to Mod4
+# Mod=Mod1 # Use alt as the main modifier
+Mod=Mod4 # Use the super key as the main modifier
+hc keybind Control-d spawn caja
+hc keybind Mod1-Return spawn dmenu_run
+hc keybind Mod4-Shift-m spawn betterlockscreen -s -t 'Vidhu Kant is gone rn'
+hc keybinf Mod1-s spawn scrot ~/Screenshots/%Y-%m-%d-%T-screenshot.png
+
+# autostart
+firefox &
+picom &
+nitrogen --restore &
+polybar herbstluftbar &
+dunst &
+
+TERMINAL=st
+
+
+hc keybind $Mod-Shift-q quit
+hc keybind $Mod-Shift-r reload
+hc keybind Mod1-w close
+hc keybind $Mod-Return spawn "${TERMINAL:-konsole}" # use your $TERMINAL with xterm as fallback
+
+# basic movement in tiling and floating mode
+# focusing clients
+hc keybind $Mod-Left focus left
+hc keybind $Mod-Down focus down
+hc keybind $Mod-Up focus up
+hc keybind $Mod-Right focus right
+hc keybind $Mod-h focus left
+hc keybind $Mod-j focus down
+hc keybind $Mod-k focus up
+hc keybind $Mod-l focus right
+
+# moving clients in tiling and floating mode
+hc keybind $Mod-Shift-Left shift left
+hc keybind $Mod-Shift-Down shift down
+hc keybind $Mod-Shift-Up shift up
+hc keybind $Mod-Shift-Right shift right
+hc keybind $Mod-Shift-h shift left
+hc keybind $Mod-Shift-j shift down
+hc keybind $Mod-Shift-k shift up
+hc keybind $Mod-Shift-l shift right
+
+# splitting frames
+# create an empty frame at the specified direction
+hc keybind $Mod-a split bottom 0.5
+hc keybind $Mod-s split right 0.5
+# let the current frame explode into subframes
+hc keybind $Mod-f split explode
+
+# resizing frames and floating clients
+resizestep=0.02
+hc keybind Mod1-Mod4-h resize left +$resizestep
+hc keybind Mod1-Mod4-j resize down +$resizestep
+hc keybind Mod1-Mod4-k resize up +$resizestep
+hc keybind Mod1-Mod4-l resize right +$resizestep
+hc keybind $Mod-Control-Left resize left +$resizestep
+hc keybind $Mod-Control-Down resize down +$resizestep
+hc keybind $Mod-Control-Up resize up +$resizestep
+hc keybind $Mod-Control-Right resize right +$resizestep
+
+# tags
+tag_names=( {1..9} 0 )
+tag_keys=( {1..9} 0 )
+
+hc rename default "${tag_names[0]}" || true
+for i in "${!tag_names[@]}" ; do
+ hc add "${tag_names[$i]}"
+ key="${tag_keys[$i]}"
+ if ! [ -z "$key" ] ; then
+ hc keybind "$Mod-$key" use_index "$i"
+ hc keybind "$Mod-Shift-$key" move_index "$i"
+ fi
+done
+
+# cycle through tags
+hc keybind Mod1-l use_index +1 --skip-visible
+hc keybind Mod1-h use_index -1 --skip-visible
+
+# layouting
+hc keybind $Mod-d remove
+hc keybind Mod1-Shift-o floating toggle
+hc keybind Mod1-p fullscreen toggle
+hc keybind Mod1-o set_attr clients.focus.floating toggle
+hc keybind Mod1-i pseudotile toggle
+# The following cycles through the available layouts within a frame, but skips
+# layouts, if the layout change wouldn't affect the actual window positions.
+# I.e. if there are two windows within a frame, the grid layout is skipped.
+hc keybind Mod1-space \
+ or , and . compare tags.focus.curframe_wcount = 2 \
+ . cycle_layout +1 vertical horizontal max vertical grid \
+ , cycle_layout +1
+
+# mouse
+hc mouseunbind --all
+hc mousebind $Mod-Button1 move
+hc mousebind $Mod-Button2 zoom
+hc mousebind $Mod-Button3 resize
+
+# focus
+hc keybind $Mod-BackSpace cycle_monitor
+hc keybind Mod1-j cycle_all +1
+hc keybind Mod1-k cycle_all -1
+hc keybind Mod1-c cycle
+hc keybind Mod1-u jumpto urgent
+
+# theme
+hc attr theme.tiling.reset 1
+hc attr theme.floating.reset 1
+hc set frame_border_active_color '#bf00ff'
+hc set frame_border_normal_color '#efe805'
+hc set frame_bg_normal_color '#efe805'
+hc set frame_bg_active_color '#bf00ff'
+hc set frame_border_width 2
+hc set always_show_frame off
+hc set frame_bg_transparent on
+hc set frame_transparent_width 0
+hc set frame_gap 4
+
+hc attr theme.active.color '#FB027F'
+hc attr theme.normal.color '#EFE805'
+hc attr theme.urgent.color white
+hc attr theme.inner_width 3
+hc attr theme.inner_color '#EFE805'
+hc attr theme.border_width 2
+hc attr theme.floating.border_width 3
+hc attr theme.floating.outer_width 9
+hc attr theme.active.inner_color '#FB027F'
+hc attr theme.floating.normal.outer_color '#35C06A'
+hc attr theme.floating.normal.inner_color '#35C06A'
+hc attr theme.floating.active.outer_color '#35C06A'
+hc attr theme.active.outer_color '#FB027F'
+hc attr theme.floating.active.outer_color '#01FFE0'
+hc attr theme.background_color '#EFE805'
+
+hc set window_gap 5
+hc set frame_padding 1
+hc set smart_window_surroundings on
+hc set smart_frame_surroundings on
+hc set mouse_recenter_gap 0
+
+# rules
+hc unrule -F
+#hc rule class=XTerm tag=3 # move all xterms to tag 3
+hc rule focus=on # normally focus new clients
+#hc rule focus=off # normally do not focus new clients
+# give focus to most common terminals
+#hc rule class~'(.*[Rr]xvt.*|.*[Tt]erm|Konsole)' focus=on
+hc rule windowtype~'_NET_WM_WINDOW_TYPE_(DIALOG|UTILITY|SPLASH)' floating=on
+hc rule windowtype='_NET_WM_WINDOW_TYPE_DIALOG' focus=on
+hc rule windowtype~'_NET_WM_WINDOW_TYPE_(NOTIFICATION|DOCK|DESKTOP)' manage=off
+
+hc set tree_style '╾│ ├└╼─┐'
+
+# unlock, just to be sure
+hc unlock
+
+# do multi monitor setup here, e.g.:
+# hc set_monitors 1280x1024+0+0 1280x1024+1280+0
+# or simply:
+# hc detect_monitors
+
+# find the panel
+panel=~/.config/herbstluftwm/panel.sh
+[ -x "$panel" ] || panel=/etc/xdg/herbstluftwm/panel.sh
+for monitor in $(hc list_monitors | cut -d: -f1) ; do
+ # start it on each monitor
+ "$panel" "$monitor" &
+done
diff --git a/herbstluftwm/autostart.def b/herbstluftwm/autostart.def
new file mode 100644
index 00000000..a3751d39
--- /dev/null
+++ b/herbstluftwm/autostart.def
@@ -0,0 +1,187 @@
+#!/usr/bin/env bash
+
+# this is a simple config for herbstluftwm
+
+hc() {
+ herbstclient "$@"
+}
+
+hc emit_hook reload
+
+# xsetroot -solid '#ffffff'
+
+# remove all existing keybindings
+hc keyunbind --all
+
+hc set focus_follows_mouse 1
+
+# keybindings
+# if you have a super key you will be much happier with Mod set to Mod4
+# Mod=Mod1 # Use alt as the main modifier
+Mod=Mod4 # Use the super key as the main modifier
+hc keybind Control-d spawn caja
+hc keybind Mod1-Return spawn dmenu_run
+hc keybind Mod4-Shift-m spawn betterlockscreen -s -t 'Vidhu Kant is gone rn'
+
+# autostart
+firefox &
+picom &
+nitrogen --restore &
+polybar herbstluftbar &
+dunst &
+
+TERMINAL=st
+
+
+hc keybind $Mod-Shift-q quit
+hc keybind $Mod-Shift-r reload
+hc keybind Mod1-w close
+hc keybind $Mod-Return spawn "${TERMINAL:-konsole}" # use your $TERMINAL with xterm as fallback
+
+# basic movement in tiling and floating mode
+# focusing clients
+hc keybind $Mod-Left focus left
+hc keybind $Mod-Down focus down
+hc keybind $Mod-Up focus up
+hc keybind $Mod-Right focus right
+hc keybind $Mod-h focus left
+hc keybind $Mod-j focus down
+hc keybind $Mod-k focus up
+hc keybind $Mod-l focus right
+
+# moving clients in tiling and floating mode
+hc keybind $Mod-Shift-Left shift left
+hc keybind $Mod-Shift-Down shift down
+hc keybind $Mod-Shift-Up shift up
+hc keybind $Mod-Shift-Right shift right
+hc keybind $Mod-Shift-h shift left
+hc keybind $Mod-Shift-j shift down
+hc keybind $Mod-Shift-k shift up
+hc keybind $Mod-Shift-l shift right
+
+# splitting frames
+# create an empty frame at the specified direction
+hc keybind $Mod-a split bottom 0.5
+hc keybind $Mod-s split right 0.5
+# let the current frame explode into subframes
+hc keybind $Mod-f split explode
+
+# resizing frames and floating clients
+resizestep=0.02
+hc keybind Mod1-Mod4-h resize left +$resizestep
+hc keybind Mod1-Mod4-j resize down +$resizestep
+hc keybind Mod1-Mod4-k resize up +$resizestep
+hc keybind Mod1-Mod4-l resize right +$resizestep
+hc keybind $Mod-Control-Left resize left +$resizestep
+hc keybind $Mod-Control-Down resize down +$resizestep
+hc keybind $Mod-Control-Up resize up +$resizestep
+hc keybind $Mod-Control-Right resize right +$resizestep
+
+# tags
+tag_names=( {1..9} 0 )
+tag_keys=( {1..9} 0 )
+
+hc rename default "${tag_names[0]}" || true
+for i in "${!tag_names[@]}" ; do
+ hc add "${tag_names[$i]}"
+ key="${tag_keys[$i]}"
+ if ! [ -z "$key" ] ; then
+ hc keybind "$Mod-$key" use_index "$i"
+ hc keybind "$Mod-Shift-$key" move_index "$i"
+ fi
+done
+
+# cycle through tags
+hc keybind Mod1-l use_index +1 --skip-visible
+hc keybind Mod1-h use_index -1 --skip-visible
+
+# layouting
+hc keybind $Mod-d remove
+hc keybind Mod1-Shift-o floating toggle
+hc keybind Mod1-p fullscreen toggle
+hc keybind Mod1-o set_attr clients.focus.floating toggle
+hc keybind Mod1-i pseudotile toggle
+# The following cycles through the available layouts within a frame, but skips
+# layouts, if the layout change wouldn't affect the actual window positions.
+# I.e. if there are two windows within a frame, the grid layout is skipped.
+hc keybind Mod1-space \
+ or , and . compare tags.focus.curframe_wcount = 2 \
+ . cycle_layout +1 vertical horizontal max vertical grid \
+ , cycle_layout +1
+
+# mouse
+hc mouseunbind --all
+hc mousebind $Mod-Button1 move
+hc mousebind $Mod-Button2 zoom
+hc mousebind $Mod-Button3 resize
+
+# focus
+hc keybind $Mod-BackSpace cycle_monitor
+hc keybind Mod1-j cycle_all +1
+hc keybind Mod1-k cycle_all -1
+hc keybind Mod1-c cycle
+hc keybind Mod1-u jumpto urgent
+
+# theme
+hc attr theme.tiling.reset 1
+hc attr theme.floating.reset 1
+hc set frame_border_active_color '#bf00ff'
+hc set frame_border_normal_color '#efe805'
+hc set frame_bg_normal_color '#efe805'
+hc set frame_bg_active_color '#bf00ff'
+hc set frame_border_width 2
+hc set always_show_frame off
+hc set frame_bg_transparent on
+hc set frame_transparent_width 0
+hc set frame_gap 4
+
+hc attr theme.active.color '#FB027F'
+hc attr theme.normal.color '#EFE805'
+hc attr theme.urgent.color white
+hc attr theme.inner_width 3
+hc attr theme.inner_color '#EFE805'
+hc attr theme.border_width 2
+hc attr theme.floating.border_width 3
+hc attr theme.floating.outer_width 9
+hc attr theme.active.inner_color '#FB027F'
+hc attr theme.floating.normal.outer_color '#35C06A'
+hc attr theme.floating.normal.inner_color '#35C06A'
+hc attr theme.floating.active.outer_color '#35C06A'
+hc attr theme.active.outer_color '#FB027F'
+hc attr theme.floating.active.outer_color '#01FFE0'
+hc attr theme.background_color '#EFE805'
+
+hc set window_gap 5
+hc set frame_padding 1
+hc set smart_window_surroundings on
+hc set smart_frame_surroundings on
+hc set mouse_recenter_gap 0
+
+# rules
+hc unrule -F
+#hc rule class=XTerm tag=3 # move all xterms to tag 3
+hc rule focus=on # normally focus new clients
+#hc rule focus=off # normally do not focus new clients
+# give focus to most common terminals
+#hc rule class~'(.*[Rr]xvt.*|.*[Tt]erm|Konsole)' focus=on
+hc rule windowtype~'_NET_WM_WINDOW_TYPE_(DIALOG|UTILITY|SPLASH)' floating=on
+hc rule windowtype='_NET_WM_WINDOW_TYPE_DIALOG' focus=on
+hc rule windowtype~'_NET_WM_WINDOW_TYPE_(NOTIFICATION|DOCK|DESKTOP)' manage=off
+
+hc set tree_style '╾│ ├└╼─┐'
+
+# unlock, just to be sure
+hc unlock
+
+# do multi monitor setup here, e.g.:
+# hc set_monitors 1280x1024+0+0 1280x1024+1280+0
+# or simply:
+# hc detect_monitors
+
+# find the panel
+panel=~/.config/herbstluftwm/panel.sh
+[ -x "$panel" ] || panel=/etc/xdg/herbstluftwm/panel.sh
+for monitor in $(hc list_monitors | cut -d: -f1) ; do
+ # start it on each monitor
+ "$panel" "$monitor" &
+done